Mozilla comienza a habilitar TLS 1.3 en Firefox estable

Los usuarios y administradores de Firefox con ojos de águila pueden haber notado que Mozilla lanzó recientemente un nuevo complemento de sistema en los sistemas que ejecutan la versión estable de Firefox.

Primero visto por Computadora que suena creador Lawrence Abrams, el único propósito del complemento es habilitar el soporte para TLS 1.3, la próxima versión importante del protocolo Transport Layer Security.



Se considera que TLS 1.3 es más rápido y seguro que las versiones anteriores del protocolo. La nueva versión del protocolo se finalizó el 21 de marzo de 2018 y debe ser compatible con navegadores web y servicios de Internet.

Los usuarios de Firefox que ejecutan versiones beta o nocturnas del navegador web pueden saber que TLS 1.3 ya está habilitado en esas versiones.

Propina: usted puede administrar TLS 1.3 manualmente en Firefox (y Chrome).

TLS 1.3 en Firefox estable

Mozilla lanza el complemento del sistema gradualmente a la población del canal de lanzamiento estable de Firefox. Las organizaciones comenzaron con el 10% de la población y monitorearon de cerca el efecto.

El nivel actual de distribución alcanzó el 50% de toda la población.

Compruebe si TLS 1.3 está habilitado

firefox tls version

Si bien puede verificar la existencia del complemento del sistema en about: support, tal como aparece en Funciones de Firefox en la página, también puede hacer lo siguiente para verificar la versión máxima de TLS en Firefox:



  1. Escriba about: config en la barra de direcciones del navegador y cargue la dirección interna.
  2. Confirme que tendrá cuidado si se muestra un mensaje de advertencia.
  3. Busque security.tls.version

La preferencia security.tls.version.max determina el nivel de protocolo TLS más alto que Firefox admite activamente. Si se establece en 3, TLS 1.2 es compatible. El complemento del sistema eleva el valor a 4, lo que a su vez agrega soporte para TLS 1.3 al navegador web.

Propina: puede aumentar el nivel manualmente de inmediato si está configurado en 3. Simplemente haga doble clic en la preferencia y cambie el valor a 4 para agregar soporte para TLS 1.3 a Firefox de inmediato.

Puede ejecutar una comprobación de los protocolos compatibles y las funciones de seguridad en SSLLabs. Debe notar que TLS 1.3 es compatible con el navegador si la preferencia security.tls.version.max se establece en 4.

Google Chrome Stable también es compatible con TLS 1.3 de forma predeterminada. El lanzamiento de Mozilla llegará a toda la población de Firefox Stable eventualmente, de modo que todas las versiones de Firefox admitidas por la organización admitan la nueva versión del protocolo.

Los usuarios interesados ​​pueden seguir el lanzamiento en Bugzilla.